> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/43.-requete-obtenir-les-parcelles.md).

# 43. Requête : obtenir les « Parcelles »

Requête pour obtenir les "Fields" d'utilisateur avec des filtres par `étiquettes`, `farmUuid`, `fieldUuid`, `nomDuChamp`. Les champs renvoyés par ordre alphabétique du nom du champ.&#x20;

Le filtre de champ fonctionne comme une condition ET, par ex. il est possible de filtrer par `farmUuid` et par `fieldUuid` et par `étiquettes` et par `nomDuChamp` dans une seule requête ou d'utiliser une seule condition de filtre ou de ne pas utiliser de condition.&#x20;

Filtrer par `nomDuChamp` fonctionne comme `commence_par`.&#x20;

Pour implémenter la logique de pagination, utilisez le paramètre de requête `tailleDePage`. Il y a `lastEvaluatedKey` et `nombreTotal` dans la réponse, où `lastEvaluatedKey` fait référence au dernier enregistrement traité correspondant à la condition de filtrage et `nombreTotal` est le nombre total d'enregistrements qui correspondent aux conditions de filtrage.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      nom
      labels {
        nom
        value
      }
      nombreTotal
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/43.-requete-obtenir-les-parcelles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
